Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHousePackageBase

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageBase

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SmartHousePackageBase extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHousePackageBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getDurationUnitCode()`
  `int`
  `getDurationValue()`
  `int`
  `getNpayModuleId()`
  `int`
  `getNpayServiceId()`
  `String`
  `getOptionNames()`
  `Period`
  `getPeriod()`
  `SmartHouseTariffMode`
  `getTariffMode()`
  `SmartHousePackageBase`
  `setComment(String comment)`
  `SmartHousePackageBase`
  `setDurationUnitCode(int durationUnitCode)`
  `SmartHousePackageBase`
  `setDurationValue(int durationValue)`
  `SmartHousePackageBase`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHousePackageBase`
  `setNpayModuleId(int npayModuleId)`
  `SmartHousePackageBase`
  `setNpayServiceId(int npayServiceId)`
  `SmartHousePackageBase`
  `setOptionNames(String optionNames)`
  `SmartHousePackageBase`
  `setPeriod(Period period)`
  `SmartHousePackageBase`
  `setTariffMode(SmartHouseTariffMode tariffMode)`
  `SmartHousePackageBase`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SmartHousePackageBase

    public SmartHousePackageBase()

- ## Method Details

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public SmartHousePackageBase setPeriod(Period period)

  - ### getOptionNames

    public String getOptionNames()

  - ### setOptionNames

    public SmartHousePackageBase setOptionNames(String optionNames)

  - ### getComment

    public String getComment()

  - ### setComment

    public SmartHousePackageBase setComment(String comment)

  - ### getDurationValue

    public int getDurationValue()

  - ### setDurationValue

    public SmartHousePackageBase setDurationValue(int durationValue)

  - ### getDurationUnitCode

    public int getDurationUnitCode()

  - ### setDurationUnitCode

    public SmartHousePackageBase setDurationUnitCode(int durationUnitCode)

  - ### getTariffMode

    public SmartHouseTariffMode getTariffMode()

  - ### getNpayModuleId

    public int getNpayModuleId()

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### setTariffMode

    public SmartHousePackageBase setTariffMode(SmartHouseTariffMode tariffMode)

  - ### setNpayModuleId

    public SmartHousePackageBase setNpayModuleId(int npayModuleId)

  - ### setNpayServiceId

    public SmartHousePackageBase setNpayServiceId(int npayServiceId)

  - ### setId

    public SmartHousePackageBase setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public SmartHousePackageBase setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`